API referenceMetrics
Get Revenue Metrics
GET /company/{id}/metrics/revenue
GET
/company/{id}/metrics/revenuePath Parameters
id*string
The company ID
Length
1 <= lengthQuery Parameters
startDate*string
Calendar date, YYYY-MM-DD
Length
1 <= lengthendDateExclusive?string
Calendar date, YYYY-MM-DD
Length
1 <= lengthinterval?"month"
The value is normalized before matching, so any casing that maps onto a listed value is accepted.
Value in
- "month"
Response Body
application/json
curl -X GET "https://example.com/company/string/metrics/revenue?startDate=string"{ "metrics": [ { "timePeriod": { "startDate": "string", "endDateExclusive": "string" }, "annualizedRevenue": { "amount": "string", "currency": "str" }, "totalRevenue": { "amount": "string", "currency": "str" }, "totalCostOfRevenue": { "amount": "string", "currency": "str" }, "totalGrossProfit": { "amount": "string", "currency": "str" } } ]}Schema refreshed 2026-11-11T18:57:48.657Z